<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />

  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

  <title>Exploring the Mass Episodes of Political Violence (MEPV) Dataset With the conflictr Package</title>
  <style>
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>

  <style>
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(data-line-number);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>

  <link rel="stylesheet" href="/usr/local/lib/R/site-library/danteSubmit/rmarkdown/templates/dante_vignette/resources/style.css" />

  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>

<body>

<header id="title-block-header">
<h1 class="title">Exploring the Mass Episodes of Political Violence (MEPV) Dataset With the conflictr Package</h1>

<p class="date" id="date"><em>2019-09-10</em></p>

<div id="author-block">
<span id="author-name">David Tamas-Parris</span>,&nbsp;<span id="author-affiliation"><em>ISciences, LLC</em>&nbsp;<sup><a id="author-email" href="mailto:tamas-parris@isciences.com"><i class="far fa-envelope" style="font-size:15px; color: blue"></i></a></sup></br>
<span id="author-name">Joshua Brinks</span>,&nbsp;<span id="author-affiliation"><em>ISciences, LLC</em>&nbsp;<sup><a id="author-email" href="mailto:jbrinks@isciences.com"><i class="far fa-envelope" style="font-size:15px; color: blue"></i></a></sup></br>
</div>

<div id="vignette-highlights-block">
<h3> Highlights: </h3>
<ul>
<li>conflictr makes accessing and visualizing the MEPV dataset seemless</li>
</ul>
</div>



</header>

<h3> Contents: </h3>
<nav id="TOC" role="doc-toc">
<ul>
<li><a href="#introduction"><span class="toc-section-number">1</span> Introduction</a></li>
<li><a href="#acquiring-the-data"><span class="toc-section-number">2</span> Acquiring the Data</a></li>
<li><a href="#the-getmepv-function"><span class="toc-section-number">3</span> The <code>getMEPV()</code> Function</a></li>
<li><a href="#references"><span class="toc-section-number">4</span> References</a></li>
</ul>
</nav>

<div id="introduction" class="section level1">
<h1><span class="header-section-number">1</span> Introduction</h1>
<p>The Center for Systemic Peace provides the Major Episodes of Political Violence dataset (MEPV). It details each country’s involvement in various types of political conflict for each year in 1946-2012 inclusive. Each category of violence is assigned a magnitude score for each year using a rubric, which provides a means of turning qualitative datapoints into quantitative analysis. The natural criticism of this method is that it is not entirely objective and may lead to disagreements about a specific datapoint. Some, for example, may disagree with the dataset’s conclusion that there has never been a major episode of ethnic violence or ethnic warfare involving Afghanistan.</p>
<p>The MEPV dataset has been used in several papers that examine political violence. <span class="citation">@pamp_arm_2018</span> use the MEPV dataset’s INTTOT column as a control to assess the effect of other factors on military spending, since it seems natural that being in a war would put pressure on a country to increase military spending. An earlier version of the dataset is used <span class="citation">@gaibulloev_adverse_2011</span> to assess the effect of violence on growth of income per capita in African countries, specifically using the magnitude scores to do so. It was noted, however, that this did not yield a drastic change over simply using the scores to construct dummy variables indicating simply the existance of various types of conflict. <span class="citation">@gubler_horizontal_2012</span> used the dataset along with others to argue that civil war is less likely in “highly crosscutting societies.”</p>
</div>
<div id="acquiring-the-data" class="section level1">
<h1><span class="header-section-number">2</span> Acquiring the Data</h1>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1"><span class="kw">library</span>(conflictr)</a></code></pre></div>
<p>The dataset is available by direct download link <a href="http://www.systemicpeace.org/inscr/MEPV2012ex.xls">here</a>. While the data are close to being ready for analysis, the .xls file includes several typos and inconsistent or missed labelings. For example, West Germany’s name is included as “Germany West” and “Germany, West”, and several datapoints for Luxembourg do not include its 3-character country code. In addition, the country coding scheme, while based on Correlates of War (COW), is unique, and corresponding ISO3c codes are not included. The format of .xls instead of .xlsx presents difficulties when attempting to read the data with current R packages.</p>
</div>
<div id="the-getmepv-function" class="section level1">
<h1><span class="header-section-number">3</span> The <code>getMEPV()</code> Function</h1>
<p>The <code>getMEPV()</code> function addresses these concerns. It uses methods with minimal dependencies (it took some experimentation to find these) that correctly download the .xls file and convert it into a data.frame. If a file with the name “MEPV_data.xls” is present in the working directory, it will presume that this is the MEPV dataset and proceed as though it had downloaded the file from the appropriate path. It then converts the data into a data.table and fixes the aforementioned typos and inconsistencies. It adds an “iso3c” column and fills in the appropriate codes (which were determined with the aid of the <code>countrycode</code> package). It finally renames the country identifier columns.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb2-1" data-line-number="1">dat1&lt;-<span class="kw">getMEPV</span>()</a></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:right;">
mepv.ccode
</th>
<th style="text-align:left;">
mepv.ncode
</th>
<th style="text-align:left;">
mepv.name
</th>
<th style="text-align:left;">
iso3c
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
ind
</th>
<th style="text-align:right;">
intind
</th>
<th style="text-align:right;">
intviol
</th>
<th style="text-align:right;">
intwar
</th>
<th style="text-align:right;">
civviol
</th>
<th style="text-align:right;">
civwar
</th>
<th style="text-align:right;">
ethviol
</th>
<th style="text-align:right;">
ethwar
</th>
<th style="text-align:right;">
inttot
</th>
<th style="text-align:right;">
civtot
</th>
<th style="text-align:right;">
actotal
</th>
<th style="text-align:right;">
nborder
</th>
<th style="text-align:right;">
totint
</th>
<th style="text-align:right;">
totciv
</th>
<th style="text-align:right;">
totalac
</th>
<th style="text-align:right;">
nint
</th>
<th style="text-align:right;">
nciv
</th>
<th style="text-align:right;">
nac
</th>
<th style="text-align:right;">
region
</th>
<th style="text-align:right;">
nregion
</th>
<th style="text-align:right;">
regint
</th>
<th style="text-align:right;">
regciv
</th>
<th style="text-align:right;">
regac
</th>
<th style="text-align:right;">
nrint
</th>
<th style="text-align:right;">
nrciv
</th>
<th style="text-align:right;">
nrac
</th>
<th style="text-align:left;">
ncivlist
</th>
<th style="text-align:left;">
nintlist
</th>
<th style="text-align:left;">
naclist
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1946
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
7
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1946
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
7
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1946
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
7
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1947
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
7
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1947
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
7
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1947
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
7
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1948
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
8
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1948
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
8
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1948
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
28
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
8
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
<tr>
<td style="text-align:right;">
2
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:left;">
United States
</td>
<td style="text-align:left;">
USA
</td>
<td style="text-align:right;">
1949
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:right;">
90
</td>
<td style="text-align:right;">
30
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:right;">
5
</td>
<td style="text-align:right;">
8
</td>
<td style="text-align:right;">
2
</td>
<td style="text-align:right;">
1
</td>
<td style="text-align:right;">
3
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
<td style="text-align:left;">
NA
</td>
</tr>
</tbody>
</table>
<p>#Data Prepping with the <code>prepMEPV()</code> Function</p>
<p><code>prepMEPV()</code> allows for syntax-minimal subsetting of the data based on columns, countries, data values, and a time range. <code>col.filter</code>, <code>country.filter</code>, and <code>threshold.filter</code> are all in the form of a list. The first element of the list is a string “drop” or “keep”, indicating whether to drop the items specified by the second entry or keep only those items, respectively. <code>MEPV.data</code> is a data.frame, <code>time.range</code> is a length-2 numeric vector, and <code>drop.historic</code> is a logical.</p>
<p><code>col.filter</code>: A length-2 list where the second entry is a character vector indicating which columns to drop or keep.</p>
<p><code>country.filter</code>: A length-3 list where the second entry is a character vector indicating which countries to drop or keep from the dataset, using a uniform coding scheme for all the vector’s entries. The third entry is a string specifying the coding scheme (e.g. “mepv.ccode”) used for the second entry.</p>
<p>‘threshold.filter’: A length-3 list where the second entry specifies a value column (e.g. “ACTOTAL”) and the third entry specifies a threshold. <code>prepMEPV()</code> will drop or keep data points where the specified column exceeds the specified threshold.</p>
<p><code>time.range</code>: A length-2 numeric vector where the first entry specifies the beginning of the desired time range and the second entry specifies the end.</p>
<p><code>drop.historic</code>: A logical specifying whether to disregard “historic” countries (specified in the function documentation). Defaults to <code>FALSE</code>.</p>
<p><code>MEPV.data</code>: A data.table obtained from <code>getMEPV()</code>.</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb3-1" data-line-number="1">dat2&lt;-<span class="st"> </span><span class="kw">prepMEPV</span>(dat1, <span class="dt">col.filter=</span><span class="kw">list</span>(<span class="st">&quot;keep&quot;</span>, <span class="st">&quot;actotal&quot;</span>), <span class="dt">country.filter=</span><span class="kw">list</span>(<span class="st">&quot;keep&quot;</span>, <span class="st">&quot;AFG&quot;</span>), <span class="dt">threshold.filter=</span><span class="kw">list</span>(<span class="st">&quot;drop&quot;</span>, <span class="st">&quot;actotal&quot;</span>, <span class="dv">0</span>), <span class="dt">time.range=</span><span class="kw">c</span>(<span class="dv">1980</span>, <span class="dv">2005</span>))</a></code></pre></div>
<pre><code>## Warning in prepMEPV(dat1, col.filter = list(&quot;keep&quot;, &quot;actotal&quot;),
## country.filter = list(&quot;keep&quot;, : User specified the following invalid
## country values: AFG</code></pre>
<table>
<thead>
<tr>
<th style="text-align:right;">
mepv.ccode
</th>
<th style="text-align:left;">
mepv.ncode
</th>
<th style="text-align:left;">
mepv.name
</th>
<th style="text-align:left;">
iso3c
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
actotal
</th>
</tr>
</thead>
<tbody>
<tr>
</tr>
</tbody>
</table>
<p>#Visualizing MEPV data</p>
<p>The <code>conflictr</code> package uses <code>ggplot2</code> to override the default plotting function for <code>data.table</code>s obtained from <code>getMEPV()</code>. It accepts the argument <code>time.range</code> with the same syntax and semantics as with <code>prepMEPV()</code>, as well as <code>countries</code> and <code>metrics</code>, both character vectors of countries (using the MEPV coding scheme) and names of value columns. The length of the character vectors determines the characteristics of the plot. It can plot an arbitrary number of violence metrics for one country:</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb5-1" data-line-number="1">plot1&lt;-<span class="kw">plot</span>(dat1, <span class="dt">countries=</span><span class="st">&quot;USA&quot;</span>, <span class="dt">metrics=</span><span class="kw">c</span>(<span class="st">&quot;civtot&quot;</span>,<span class="st">&quot;inttot&quot;</span>, <span class="st">&quot;ethviol&quot;</span>))</a></code></pre></div>
<pre><code>## Warning in prepMEPV(x = x, col.filter = list(&quot;keep&quot;, metrics),
## country.filter = list(&quot;keep&quot;, : User specified the following invalid
## country values: USA</code></pre>
<p>Alternatively, it can plot one violence metric for several countries:</p>
<div class="sourceCode" id="cb7"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb7-1" data-line-number="1">plot2&lt;-<span class="kw">plot</span>(dat1, <span class="dt">countries=</span><span class="kw">c</span>(<span class="st">&quot;USA&quot;</span>, <span class="st">&quot;USR&quot;</span>, <span class="st">&quot;AFG&quot;</span>, <span class="st">&quot;YMN&quot;</span>), <span class="dt">metrics=</span><span class="kw">c</span>(<span class="st">&quot;actotal&quot;</span>))</a></code></pre></div>
<pre><code>## Warning in prepMEPV(x = x, col.filter = list(&quot;keep&quot;, metrics[1]),
## country.filter = list(&quot;keep&quot;, : User specified the following invalid
## country values: USA USR AFG YMN</code></pre>
<p>It can also produce a facet plot for several countries and several (4 is recommended) metrics:</p>
<div class="sourceCode" id="cb9"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb9-1" data-line-number="1">plot3&lt;-<span class="kw">plot</span>(dat1, <span class="dt">countries=</span><span class="kw">c</span>(<span class="st">&quot;USA&quot;</span>, <span class="st">&quot;USR&quot;</span>, <span class="st">&quot;AFG&quot;</span>, <span class="st">&quot;YMN&quot;</span>), <span class="dt">metrics=</span><span class="kw">c</span>(<span class="st">&quot;actotal&quot;</span>,<span class="st">&quot;civtot&quot;</span>, <span class="st">&quot;inttot&quot;</span>, <span class="st">&quot;ethviol&quot;</span>))</a></code></pre></div>
<pre><code>## Warning in prepMEPV(x = x, col.filter = list(&quot;keep&quot;, metrics),
## country.filter = list(&quot;keep&quot;, : User specified the following invalid
## country values: USA USR AFG YMN</code></pre>
</div>
<div id="references" class="section level1">
<h1><span class="header-section-number">4</span> References</h1>
</div>

<footer>

<h1> Additional Meta-Data </h1>

<div id="related-packages-block">
<h3> Related Packages: </h3>
<ul>
<li>conflictr</li>
</ul>
</div>

<div id="related-datasets-block">
<h3> Related Data Sets: </h3>
<ul>
<li>Mass Episodes of Political Violence (MEPV)</li>
</ul>
</div>

<div id="data-presentation-forms-block">
<h3> Data Categories:</h3>
<span id="data-presentation-forms">tabular, time series, country year</span>
</div>


</footer>

</body>

</html>
